@echo off
echo Use the sa80? (Y)
sdump * getresp yYnN y
if errorlevel 3 goto uninst

rename sa80.img sa80.bmp
rename sa80_01.img sa80_01.bmp
rename sa80_02.img sa80_02.bmp
rename sa80_03.img sa80_03.bmp
rename sa80_04.img sa80_04.bmp
rename sa80_05.img sa80_05.bmp
rename sa80_06.img sa80_06.bmp
rename sa80_07.img sa80_07.bmp
rename sa80_08.img sa80_08.bmp
rename sa80_f.img sa80_f.bmp
rename sa80_c.img sa80_c.bmp

pck_view r units\bigobs 02 sa80
pck_view r units\bigobs 03 sa80_c
pck_view r units\handob 01 sa80_01
pck_view r units\handob 02 sa80_02
pck_view r units\handob 03 sa80_03
pck_view r units\handob 04 sa80_04
pck_view r units\handob 05 sa80_05
pck_view r units\handob 06 sa80_06
pck_view r units\handob 07 sa80_07
pck_view r units\handob 08 sa80_08
pck_view r units\floorob 02 sa80_f
pck_view r ufograph\bigob_01 01 sa80
pck_view r ufograph\bigob_02 01 sa80_c

del sa80.bmp
del sa80_c.bmp
del sa80_01.bmp
del sa80_02.bmp
del sa80_03.bmp
del sa80_04.bmp
del sa80_05.bmp
del sa80_06.bmp
del sa80_07.bmp
del sa80_08.bmp
del sa80_f.bmp

rem Make backup copies

if not exist geodata\english.r00  copy geodata\english.dat  geodata\english.r00  >nul
if not exist geodata\english2.r00 copy geodata\english2.dat geodata\english2.r00 >nul
if not exist geodata\obdata.r00   copy geodata\obdata.dat   geodata\obdata.r00   >nul

rem FINISH MAKING BACKUPS HERE

rem Replace or patch the files

sdump geodata\english.dat  replace:english   sa80.pat geodata\english.r00  geodata\english.r00 >nul
sdump geodata\english2.dat replace:english2  sa80.pat geodata\english2.r00 geodata\english2.r00 >nul
sdump geodata\obdata.dat   replace:obdata:54 sa80.pat geodata\obdata.r00   geodata\obdata.r00  >nul

rem FINISH COPYING FILES HERE

del geodata\english.r00
del geodata\english2.r00
del geodata\obdata.r00
del sa80.pat
del sa80.txt

:finis